#ifdef __cplusplus

#include <iostream>

#include "../userinterface/ngui.h"

class ARCLibError : public std::exception {
    public:
        ARCLibError(std::string message) {
            this->message = message;
        };
        virtual ~ARCLibError() throw() {};
        virtual const char* what() const throw() {
            return message.c_str();
        };
    private:
        std::string message;
};

class ARCCLIError : public ARCLibError {
    public:
        ARCCLIError (std::string message) : ARCLibError(message) {};
};

class ARCCLIDataError: public ARCCLIError {
 public:
  ARCCLIDataError (std::string message) : ARCCLIError(message) {
    std::cerr<<message<<std::endl;
  };
};

#endif

